Data Structures | Macros | Functions
acc_wrap_printf.c File Reference
`#include <printf.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Data Structures
struct | print_buffer_t

## Macros
#define | BUF_SIZE 200

## Functions
int | _write (int file, const char *ptr, int len)
static void | out_func (char character, void *arg)
int | __wrap_puts (const char *str)
int | __wrap_fputs (const char *str, FILE *stream)
int | __wrap_printf (const char *format,...)
int | __wrap_sprintf (char *buffer, const char *format,...)
int | __wrap_snprintf (char *buffer, size_t count, const char *format,...)
int | __wrap_vsnprintf (char *buffer, size_t count, const char *format, va_list va)

## Macro Definition Documentation

## ◆ BUF_SIZE

#define BUF_SIZE 200

This file contains wrapper functions used to replace the default printf and friends implementation with a minimal which is thread safe and memory efficient when used on embedded targets.

Definition at line 20 of file acc_wrap_printf.c.

## Function Documentation

## ◆ __wrap_fputs()

int __wrap_fputs | ( | const char * | str,
|  | FILE * | stream
| ) |  |

Definition at line 56 of file acc_wrap_printf.c.

## ◆ __wrap_printf()

int __wrap_printf | ( | const char * | format,
|  |  | ...
| ) |  |

Definition at line 67 of file acc_wrap_printf.c.

## ◆ __wrap_puts()

int __wrap_puts | ( | const char * | str | ) |

Definition at line 46 of file acc_wrap_printf.c.

## ◆ __wrap_snprintf()

int __wrap_snprintf | ( | char * | buffer,
|  | size_t | count,
|  | const char * | format,
|  |  | ...
| ) |  |

Definition at line 99 of file acc_wrap_printf.c.

## ◆ __wrap_sprintf()

int __wrap_sprintf | ( | char * | buffer,
|  | const char * | format,
|  |  | ...
| ) |  |

Definition at line 88 of file acc_wrap_printf.c.

## ◆ __wrap_vsnprintf()

int __wrap_vsnprintf | ( | char * | buffer,
|  | size_t | count,
|  | const char * | format,
|  | va_list | va
| ) |  |

Definition at line 110 of file acc_wrap_printf.c.

## ◆ _write()

int _write | ( | int | file,
|  | const char * | ptr,
|  | int | len
| ) |  |

## ◆ out_func()

static void out_func | ( | char | character,
|  | void * | arg
| ) |  |
| static

Definition at line 33 of file acc_wrap_printf.c.